translation framework: xgettext is buggy: use 'bash --dump-po-strings' instead and rework all the code

Signed-off-by: Davide Madrisan <davide.madrisan@gmail.com>
This commit is contained in:
Davide Madrisan 2012-11-25 15:54:34 +01:00
parent 0e93767db4
commit 288d828aaa
35 changed files with 1120 additions and 1786 deletions

View File

@ -42,6 +42,13 @@ Changes in version 1.16.0
Run 'notify.enable_colors' once the configuration files are loaded. Run 'notify.enable_colors' once the configuration files are loaded.
(Problem noticed by Silvan Calarco in 'pck-update'). (Problem noticed by Silvan Calarco in 'pck-update').
+ improvement
* Translation framework - Davide Madrisan:
xgettext is buggy (doesn't bump all the strings that need to be
translated) so switch to 'bash --dump-po-strings'.
Remove all the partial .po files and dinamically create a global .pot
file which will be merged to autospec.po at every build.
------------------------------------------------------------------------------- -------------------------------------------------------------------------------
Changes in version 1.14.3 Changes in version 1.14.3

View File

@ -58,7 +58,7 @@ pck_infiles := $(wildcard *.in conf/*.in lib/*.in man/*.in man/*/*.in plugins/*.
s,@date@,`LC_ALL="C" date "+%a %b %d %Y"`,g;\ s,@date@,`LC_ALL="C" date "+%a %b %d %Y"`,g;\
s,@date_my@,`LC_ALL="C" date "+%B %Y"`," $< > $@ s,@date_my@,`LC_ALL="C" date "+%B %Y"`," $< > $@
all: dist-update locales check pot-files all: dist-update locales check
check: dist-update check: dist-update
@echo "Checking libraries and scripts for syntax errors..." @echo "Checking libraries and scripts for syntax errors..."
@ -70,33 +70,20 @@ check: dist-update
dist-update: $(pck_infiles:.in=) dist-update: $(pck_infiles:.in=)
pot-files: dist-update pot-file: dist-update
@echo "Creating pot files..."
@echo "Generating po template '$(PACKAGE).pot'..."; \ @echo "Generating po template '$(PACKAGE).pot'..."; \
/usr/bin/xgettext -i -L shell \ /bin/bash --dump-po-strings $(PACKAGE) \
--copyright-holder="$(PO_COPYRIGH_HOLDER)" \ > $(srcdir)/po/$(PACKAGE)_fe.pot
--msgid-bugs-address="$(PO_BUGS_ADDRESS)" \
--no-location \
--package-name=$(PACKAGE) \
--package-version=${VERSION} \
$(PACKAGE) -o $(srcdir)/po/$(PACKAGE).pot 2>/dev/null
@$(MAKE) pot-files -C lib || exit 1 @$(MAKE) pot-files -C lib || exit 1
@$(MAKE) pot-files -C plugins || exit 1 @$(MAKE) pot-files -C plugins || exit 1
@$(MAKE) pot-files -C tests || exit 1 @$(MAKE) pot-files -C tests || exit 1
@$(MAKE) merge-pot-files -C po/it || exit 1
pot-merge: pot-files locales: pot-file
@$(MAKE) pot-merge -C po/it || exit 1
locales:
@for loc in $(LOCALES); do\ @for loc in $(LOCALES); do\
$(MAKE) -C po/$$loc || exit 1;\ $(MAKE) -C po/$$loc || exit 1;\
done done
locales-concatenate: locales pot-files
@for loc in $(LOCALES); do\
$(MAKE) locales-concatenate -C po/$$loc || exit 1;\
done
install-frontend: $(PACKAGE) install-frontend: $(PACKAGE)
@echo "Installing frontend..." @echo "Installing frontend..."
@$(INSTALL_DIR) $(DESTDIR)$(bindir) @$(INSTALL_DIR) $(DESTDIR)$(bindir)

View File

@ -24,7 +24,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# default values # default values
let "pck_update = 0" let "pck_update = 0"

View File

@ -137,7 +137,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
%defattr(-,root,root) %defattr(-,root,root)
%{_bindir}/%{name} %{_bindir}/%{name}
%lang(it) %{_mandir}/it/man1/%{name}.* %lang(it) %{_mandir}/it/man1/%{name}.*
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/%{name}-all.mo %lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/%{name}.mo
%doc AUTHORS BUGS ChangeLog COPYING NEWS TODO %doc AUTHORS BUGS ChangeLog COPYING NEWS TODO
%files plugins %files plugins

View File

@ -35,13 +35,8 @@ check: $(pck_libs)
pot-files: $(pck_libs) pot-files: $(pck_libs)
@for f in $(pck_libs); do\ @for f in $(pck_libs); do\
echo -n "Generating po template '$$f.pot'...";\ echo -n "Generating po template '$$f.pot'...";\
/usr/bin/xgettext -i -L shell \ /bin/bash --dump-po-strings $$f \
--copyright-holder="$(PO_COPYRIGH_HOLDER)" \ > $(srcdir)/po/$${f/.lib}.pot \
--msgid-bugs-address="$(PO_BUGS_ADDRESS)" \
--no-location \
--package-name=$(PACKAGE) \
--package-version=${VERSION} \
$$f -o $(srcdir)/po/$${f/.lib}.pot 2>/dev/null \
&& echo "[DONE]" || { echo "[ERROR]"; exit 1; };\ && echo "[DONE]" || { echo "[ERROR]"; exit 1; };\
done done

View File

@ -3,6 +3,9 @@
# Copyright (C) 2007,2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> # Copyright (C) 2007,2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
# Copyright (C) 2008-2011 Silvan Calarco <silvan.calarco@mambasoft.it> # Copyright (C) 2008-2011 Silvan Calarco <silvan.calarco@mambasoft.it>
[ "$libapse_is_loaded" = 1 ] || {
libapse_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] &&
echo $"this script requires bash version 2 or better" >&2 && exit 1 echo $"this script requires bash version 2 or better" >&2 && exit 1
@ -20,7 +23,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# function apse.cmpversion() # function apse.cmpversion()
# compare two version # compare two version
@ -590,3 +593,5 @@ a newer version of \`${NOTE}$specname${NORM}' is already installed"
return $retval return $retval
} }
} # endif $libapse_is_loaded

View File

@ -2,6 +2,9 @@
# libcfg.lib -- @package@ library for loading the configuration file(s) # libcfg.lib -- @package@ library for loading the configuration file(s)
# Copyright (C) 2008,2011,2012 Davide Madrisan <davide.madrisan@gmail.com> # Copyright (C) 2008,2011,2012 Davide Madrisan <davide.madrisan@gmail.com>
[ "$libcfg_is_loaded" = 1 ] || {
libcfg_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] &&
echo $"this script requires bash version 2 or better" >&2 && exit 1 echo $"this script requires bash version 2 or better" >&2 && exit 1
@ -14,7 +17,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# list of the configuration file(s) # list of the configuration file(s)
default_cfg_list=(\ default_cfg_list=(\
@ -135,3 +138,5 @@ function cfg_load_files() {
[ "$cfg_files_num" = 0 ] && notify.error $"configuration file not found" [ "$cfg_files_num" = 0 ] && notify.error $"configuration file not found"
} }
} # endif $libcfg_is_loaded

View File

@ -2,6 +2,9 @@
# libmsgmng.lib -- @package@ library to manage debug/warning/error messages # libmsgmng.lib -- @package@ library to manage debug/warning/error messages
# Copyright (C) 2005,2006,2008,2012 Davide Madrisan <davide.madrisan@gmail.com> # Copyright (C) 2005,2006,2008,2012 Davide Madrisan <davide.madrisan@gmail.com>
[ "$libmsgmng_is_loaded" = 1 ] || {
libmsgmng_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] &&
echo $"this script requires bash version 2 or better" >&2 && exit 1 echo $"this script requires bash version 2 or better" >&2 && exit 1
@ -9,7 +12,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# notify family of message handling functions: # notify family of message handling functions:
# - notify.warning # - notify.warning
@ -71,3 +74,5 @@ $"unknown color theme \`$color_scheme': colors will be disabled"
function notify.disable_colors() { function notify.disable_colors() {
ESC= CRIT= NOTE= WARN= EXIT= NORM= ESC= CRIT= NOTE= WARN= EXIT= NORM=
} }
} # endif $libmsgmng_is_loaded

View File

@ -2,6 +2,9 @@
# libnetwork.lib -- @package@ library to get info from internet repositories # libnetwork.lib -- @package@ library to get info from internet repositories
# Copyright (C) 2008,2010,2012 Davide Madrisan <davide.madrisan@gmail.com> # Copyright (C) 2008,2010,2012 Davide Madrisan <davide.madrisan@gmail.com>
[ "$libnetwork_is_loaded" = 1 ] || {
libnetwork_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 3 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 3 ] &&
{ echo $"this script requires bash version 3 or better" >&2 && exit 1; } { echo $"this script requires bash version 3 or better" >&2 && exit 1; }
@ -16,7 +19,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# check if all the needed tools are available # check if all the needed tools are available
# note: 'host' has been removed from this list because the package # note: 'host' has been removed from this list because the package
@ -1062,3 +1065,5 @@ an error occurred while creating"": ${pck_tarball}.tar.bz2"
return 0 return 0
} }
} # endif $libnetwork_is_loaded

View File

@ -2,6 +2,9 @@
# libspec.lib -- @package@ library to manage rpm specfiles # libspec.lib -- @package@ library to manage rpm specfiles
# Copyright (C) 2004-2010,2012 Davide Madrisan <davide.madrisan@gmail.com> # Copyright (C) 2004-2010,2012 Davide Madrisan <davide.madrisan@gmail.com>
[ "$libspec_is_loaded" = 1 ] || {
libspec_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 2 ] &&
echo $"this script requires bash version 2 or better" >&2 && exit 1 echo $"this script requires bash version 2 or better" >&2 && exit 1
@ -14,7 +17,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# function boolexpr.solve # function boolexpr.solve
# calculate the boolean expression `$1' expanding the variables # calculate the boolean expression `$1' expanding the variables
@ -1244,3 +1247,5 @@ function getversionfromtarball() {
notify.debug "$FUNCNAME: pck_version = \"$pck_version\"" notify.debug "$FUNCNAME: pck_version = \"$pck_version\""
echo "$pck_version" echo "$pck_version"
} }
} # endif $libspec_is_loaded

View File

@ -2,6 +2,9 @@
# libtest.lib -- @package@ library used by the test framework # libtest.lib -- @package@ library used by the test framework
# Copyright (C) 2012 Davide Madrisan <davide.madrisan@gmail.com> # Copyright (C) 2012 Davide Madrisan <davide.madrisan@gmail.com>
[ "$libtest_is_loaded" = 1 ] || {
libtest_is_loaded=1
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 3 ] && [ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 3 ] &&
{ echo $"this script requires bash version 3 or better" >&2 && exit 1; } { echo $"this script requires bash version 3 or better" >&2 && exit 1; }
@ -16,7 +19,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
[ -n "$testdir" ] || [ -n "$testdir" ] ||
notify.error "\`testdir': "$"unset in the configuration files" notify.error "\`testdir': "$"unset in the configuration files"
@ -170,3 +173,5 @@ function test.runall() {
--tmpdir "$tmpextractdir" --tmpdir "$tmpextractdir"
done done
} }
} # endif $libtest_is_loaded

View File

@ -33,13 +33,8 @@ check: $(pck_plugins)
pot-files: $(pck_plugins) pot-files: $(pck_plugins)
@for f in $(pck_plugins); do\ @for f in $(pck_plugins); do\
echo -n "Generating po template '$$f.pot'...";\ echo -n "Generating po template '$$f.pot'...";\
/usr/bin/xgettext -i -L shell \ /bin/bash --dump-po-strings $$f \
--copyright-holder="$(PO_COPYRIGH_HOLDER)" \ > $(srcdir)/po/$$f.pot \
--msgid-bugs-address="$(PO_BUGS_ADDRESS)" \
--no-location \
--package-name=$(PACKAGE) \
--package-version=${VERSION} \
$$f -o $(srcdir)/po/$$f.pot 2>/dev/null \
&& echo "[DONE]" || { echo "[ERROR]"; exit 1; };\ && echo "[DONE]" || { echo "[ERROR]"; exit 1; };\
done done

View File

@ -26,7 +26,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
function copying() { function copying() {
echo "\ echo "\

View File

@ -31,7 +31,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
function copying() { function copying() {
echo "\ echo "\

View File

@ -68,7 +68,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
function copying() { function copying() {
echo "\ echo "\

View File

@ -70,7 +70,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
function copying() { function copying() {
echo "\ echo "\

View File

@ -18,7 +18,20 @@ srcdir = ../..
include $(srcdir)/Makefile.env include $(srcdir)/Makefile.env
pck_catalogs := $(wildcard *.po) pck_catalogs_tmpl := autospec_fe.pot \
config-getvar.pot \
libapse.pot \
libcfg.pot \
libmsgmng.pot \
libnetwork.pot \
libspec.pot \
libtest.pot \
pck-extract.pot \
pck-update.pot \
spec-create.pot \
test00_specsyntax.pot \
test01_pkgquality.pot \
test02_pkgsecurity.pot
LANG=it LANG=it
@ -29,29 +42,30 @@ LANG=it
all: locales all: locales
locales: $(pck_catalogs:.po=.mo)
pck_manpages := pck_manpages :=
pot-merge: $(patsubst %.po,%.pot,$(wildcard $(srcdir)/po/*.po)) merge-pot-files: $(patsubst %,$(srcdir)/po/%,$(pck_catalogs_tmpl))
@for f in $(pck_catalogs:.po=); do\ @echo "Creating global pot file...";\
echo "Merging '$$f.po' with '$$f.pot'...";\ /bin/cat $(patsubst %,$(srcdir)/po/%,$(pck_catalogs_tmpl)) \
/usr/bin/msgmerge --update --no-wrap \ > $(srcdir)/po/$(PACKAGE)-all.pot;\
$$f.po $(srcdir)/po/$$f.pot;\ /usr/bin/msguniq --use-first --no-location --no-wrap \
done $(srcdir)/po/$(PACKAGE)-all.pot \
-o $(srcdir)/po/$(PACKAGE).pot && \
echo "... $(PACKAGE)-all.pot [PASSED]" || \
{ echo ".. $(PACKAGE)-all.pot [FAILED]"; exit 1; }
locales-concatenate: pot-merge locales: merge-pot-files
@echo "Concatenating locales...";\ @echo "Generating global locale...";\
/usr/bin/msgcat $(pck_catalogs:.po=) -o $(PACKAGE)-all.po;\ /usr/bin/msgmerge --update --no-fuzzy-matching --indent \
$(PACKAGE).po \
$(srcdir)/po/$(PACKAGE).pot;\
echo "... $(PACKAGE)-all.po [DONE]" echo "... $(PACKAGE)-all.po [DONE]"
install: locales install: locales
@destdir="$(DESTDIR)$(localedir)/$(LANG)/LC_MESSAGES";\ @destdir="$(DESTDIR)$(localedir)/$(LANG)/LC_MESSAGES";\
$(INSTALL_DIR) $$destdir;\ $(INSTALL_DIR) $$destdir;\
$(INSTALL_DATA) $(PACKAGE)-all.mo $$destdir/$(PACKAGE)-all.mo $(INSTALL_DATA) $(PACKAGE).mo $$destdir/$(PACKAGE).mo
#for f in $(pck_catalogs:.po=); do\
# $(INSTALL_DATA) $${f}.mo $$destdir/$${f}.mo;\
#done
uninstall: uninstall:
@for f in $(pck_catalogs:.po=); do\ @for f in $(pck_catalogs:.po=); do\

File diff suppressed because it is too large Load Diff

View File

@ -1,95 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# plugins/config-getvar
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid ""
"This program is free software; you can redistribute it and/or modify it under\n"
"the terms of the GNU General Public License version 2 as published by the\n"
"Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY\n"
"or FITNESS FOR A PARTICULAR PURPOSE."
msgstr ""
"Questo è software libero; è possibile redistribuirlo e/o modificarlo nei termini\n"
"della GNU General Public License versione 2 così come pubblicata dalla\n"
"Free Software Foundation. Non è fornita ALCUNA garanzia; neppure di NEGOZIABILITA'\n"
"o di APPLICABILITA' PER UN PARTICOLARE SCOPO."
msgid "Print the value of a given configuration variable"
msgstr "Stampa il valore che una data variabile assume nei file di configurazione"
msgid "Usage"
msgstr "Utilizzo"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "Print the value of the configuration variable <var>"
msgstr "Stampa il valore che <var> assume nei file di configurazione"
msgid "Select the theme to be used for the colorized output"
msgstr "Seleziona il tema da usare per generare l'output colorato"
msgid "Use an alternate user configuration file"
msgstr "Definisce uno o più file di configurazione utente alternativi"
msgid "Default files:"
msgstr "File di default:"
msgid "Default user files:"
msgstr "File di default utente:"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Print version number, then exit"
msgstr "Stampa il numero di versione e termina il programma"
msgid "Run in quiet mode"
msgstr "Non stampa alcun dettaglio delle operazioni in esecuzione"
msgid "Run in debugging mode (very verbose output)"
msgstr "Attiva la modalità di debugging (output prolisso)"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "Report bugs to <davide.madrisan@gmail.com>."
msgstr "Segnalare eventuali bug a <davide.madrisan@gmail.com>."
msgid "cannot read"
msgstr "impossibile leggere"
msgid "unrecognized option"
msgstr "opzione non conosciuta"
msgid "configuration file not found"
msgstr "file di configurazione non trovato"
msgid "(bug)"
msgstr "(bug)"
msgid "unknown variable type"
msgstr "tipo di variabile sconosciuto"

View File

@ -1,120 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# lib/libapse.lib
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid "version"
msgstr "versione"
msgid "Find for updates scanning the web."
msgstr "Ricerca aggiornamenti cercando nel web."
msgid "Usage"
msgstr "Utilizzo"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "Name of the package"
msgstr "Nome del pacchetto"
msgid "Name of the spec file"
msgstr "Nome dello specfile"
msgid "URL of the project home page"
msgstr "Indirizzo internet dell'homepage del progetto"
msgid "URL with no variable expansion"
msgstr "Indirizzo internet senza espansione delle variabili"
msgid "Proxy"
msgstr "Proxy"
msgid "Proxy user"
msgstr "Utenza proxy"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "Report bugs to <stefano.cotta@openmamba.org>."
msgstr "Segnalare eventuali bug a <stefano.cotta@openmamba.org>."
msgid "(bug)"
msgstr "(bug)"
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "\\`getopt' error: bad command \\`$1'"
msgstr "errore in \\`getopt': comando errato \\`$1'"
msgid "can't create temporary files"
msgstr "impossibile creare file temporanei"
msgid "looking at"
msgstr "cerco in"
msgid "couldn't resolve host"
msgstr "impossibile risolvere il nome dell'host"
msgid "failed to connect to host"
msgstr "impossibile connettersi all'host"
#, sh-format
msgid "curl error (exit code: $retval)"
msgstr "errore curl (codice di errore: $retval)"
msgid "not parametric source0 name; cannot update"
msgstr "source0 in formato non parametrico: impossibile aggiornare"
msgid "found version:"
msgstr "versione trovata:"
msgid "assertion failed:"
msgstr ""
#, sh-format
msgid "last version of \\`${NOTE}$specname${NORM}' found:"
msgstr "ultima versione di \\`${NOTE}$specname${NORM}' trovata:"
#, sh-format
msgid "package \\`${NOTE}$specname${NORM}' is already the latest version"
msgstr "il pacchetto \\`${NOTE}$specname${NORM}' è già aggiornato all'ultima versione"
#, sh-format
msgid "a new version of \\`${NOTE}$specname${NORM}' is available!"
msgstr "è disponibile una nuova versione di \\`${NOTE}$specname${NORM}'!"
#, sh-format
msgid "a newer version of \\`${NOTE}$specname${NORM}' is already installed"
msgstr "è già installata una versione successiva di \\`${NOTE}$specname${NORM}'"
#, sh-format
msgid "cannot find a new version of \\`$specname'"
msgstr "impossibile trovare una nuova versione per \\`$specname'"

View File

@ -1,45 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
# lib/libcfg.lib
msgid "library not found"
msgstr "libreria non trovata"
msgid "configuration file not found"
msgstr "file di configurazione non trovato"
msgid "Hint"
msgstr "Suggerimento"
msgid "user \\`$(id -nu)' does not belong to group \\`$packager_group'"
msgstr "l'utente \\`$(id -nu)' non appartiene al gruppo \\`$packager_group'"
msgid "unset in the configuration files"
msgstr "non configurato nei file di configurazione"
msgid "missing variable in the configuration file"
msgstr "variabile non inizializzata nel file di configurazione"
msgid "loading"
msgstr "caricamento di"
msgid "cannot read"
msgstr "impossibile leggere"

View File

@ -1,27 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "no message"
msgstr "nessun messaggio"
#, sh-format
msgid "unknown color theme \\`$color_scheme': colors will be disabled"
msgstr "tema di colori sconosciuto \\`$color_scheme': output con colori disabilitato"

View File

@ -1,124 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# lib/librepository.lib
#, fuzzy
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid "utility not found"
msgstr "programma non trovato"
msgid "(bug)"
msgstr "(bug)"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "\\`getopt' error: bad command \\`$1'"
msgstr "errore in \\`getopt': comando errato \\`$1'"
msgid "usage error (--ftp/--html)"
msgstr "errato utilizzo (--ftp/--html)"
#, sh-format
msgid "'\\\\' characters detected in \\$pck_name"
msgstr "trovato carattere '\\\\' in \\$pck_name"
msgid "not a number"
msgstr "non è un numero"
msgid "getting list of files from"
msgstr "ricavo l'elenco dei file da"
msgid "unsupported query type for this protocol"
msgstr "ricerca non supportata in questo protocollo"
msgid "can't create temporary files"
msgstr "impossibile creare file temporanei"
msgid "couldn't resolve host"
msgstr "impossibile risolvere il nome dell'host"
msgid "failed to connect to host"
msgstr "impossibile connettersi all'host"
msgid "failure in receiving network data"
msgstr "impossibile recevere dati via rete"
#, sh-format
msgid "curl error (exit code: $retval)"
msgstr "errore curl (codice di errore: $retval)"
msgid "cannot get the list of files"
msgstr "impossibile ottenere la lista dei file"
msgid "no list of architectures set"
msgstr "nessuna lista di architetture specificata"
msgid "unsupported protocol"
msgstr "protocollo non supportato"
#, fuzzy
msgid "file not found"
msgstr "programma non trovato"
msgid "skipped"
msgstr ""
msgid "downloading"
msgstr "download di"
msgid "no such directory"
msgstr "cartella non trovata"
msgid "cannot download"
msgstr "impossibile scaricare"
msgid "package not found"
msgstr "pacchetto non trovato"
msgid "unknown action"
msgstr "azione sconosciuta"
msgid "not the expected package version"
msgstr "non è la versione di pacchetto prevista"
msgid "cloning git repository"
msgstr "clonazione del repository"
msgid "cannot clone git repository"
msgstr "impossibile clonare il repository git"
msgid "creating the compressed source tarball"
msgstr "creazione del file sorgente compresso"
msgid "done"
msgstr "fatto"
msgid "an error occurred while creating"
msgstr "si è verificato un errore durante la creazione di"
#~ msgid "not an internet address"
#~ msgstr "non è un indirizzo internet"

View File

@ -1,122 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# lib/libspec.lib
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid "(bug)"
msgstr "(bug)"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "detected a specfile with unsupported syntax:"
msgstr "lo specfile usa una sintassi non supportata:"
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "\\`getopt' error: bad command \\`$1'"
msgstr "errore in \\`getopt': comando errato \\`$1'"
msgid "specfile not found"
msgstr "specfile non trovato"
msgid "FIXME: sorry, not implemented yet..."
msgstr "FIXME: spiacente, implementazione mancante..."
msgid "\\`%end' found; should perhaps be \\`%endif'"
msgstr "\\`%end' utilizzata; forse si intendeva \\`%endif'"
msgid "cannot evaluate:"
msgstr "impossibile valutare:"
msgid "assertion failed:"
msgstr "asserzione fallita:"
msgid "version"
msgstr "versione"
msgid "Get informations from a given specfile."
msgstr "Ricava informazioni da un specfile dato."
msgid "Usage"
msgstr "Utilizzo"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "name (and patch) of the specfile"
msgstr "nome (e percorso) dello specfile"
msgid "do not try to expand variables"
msgstr "non cercare di espandere le variabili"
msgid "and <query> belongs to the following list"
msgstr "e <query> appartiene alla lista seguente"
msgid "list of package groups"
msgstr "lista dei gruppi utilizzati"
msgid "full name of the srpm package"
msgstr "nome completo del pacchetto srpm"
msgid "list of patches"
msgstr "lista delle patch"
msgid "name of the source0 file"
msgstr "name del file indicato da source0"
msgid "list of source files"
msgstr "lista dei source file"
msgid "list of all the generated rpm packages"
msgstr "lista dei pacchetti rpm generati"
msgid "list of the obsoleted packages"
msgstr "lista dei pacchetti resi obsoleti"
msgid "list of the declared build requirements"
msgstr "lista dei \\`build requirements' dichiarati"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "Report bugs to <davide.madrisan@gmail.com>."
msgstr "Segnalare eventuali bug a <davide.madrisan@gmail.com>."
msgid "bad specfile preamble"
msgstr "preambolo dello specfile non conforme"
#, sh-format
msgid "bad arg \\`$var'"
msgstr "argomento errato \\`$var'"
#, sh-format
msgid "cannot initialize \\`$var' from specfile data"
msgstr "impossibile assegnare un valore a \\`$var' usando i dati dello specfile"

View File

@ -1,58 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
#, fuzzy
msgid "library not found"
msgstr "pacchetto non trovato"
msgid "unset in the configuration files"
msgstr "non configurato nei file di configurazione"
msgid "no such file or directory"
msgstr "file o cartella non trovata"
msgid "(bug)"
msgstr "(bug)"
# lib/libtest
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "cannot read"
msgstr "impossibile leggere"
msgid "package not found"
msgstr "pacchetto non trovato"
msgid "can't create temporary directory"
msgstr "impossibile creare la cartella temporanea"
msgid "cannot extract files from rpm archive"
msgstr "impossibile estrarre i file dall'archivio rpm"
msgid "cannot extract files from cpio archive"
msgstr "impossibile estrarre i file dall'archivio cpio"
msgid "\\`getopt' error: bad command \\`$1'"
msgstr "errore in \\`getopt': comando errato \\`$1'"

View File

@ -1,119 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# plugins/pck-extract
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid ""
"This program is free software; you can redistribute it and/or modify it under\n"
"the terms of the GNU General Public License version 2 as published by the\n"
"Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY\n"
"or FITNESS FOR A PARTICULAR PURPOSE."
msgstr ""
"Questo è software libero; è possibile redistribuirlo e/o modificarlo nei termini\n"
"della GNU General Public License versione 2 così come pubblicata dalla\n"
"Free Software Foundation. Non è fornita ALCUNA garanzia; neppure di NEGOZIABILITA'\n"
"o di APPLICABILITA' PER UN PARTICOLARE SCOPO."
msgid "Extract a given file or list of files from a srpm archive"
msgstr "Estrae da un archivio srpm un file o una lista di file indicati"
msgid "Usage"
msgstr "Utilizzo"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "Extract from the srpm package <srpm_pck>..."
msgstr "Estrae dal pacchetto srpm <srpm_pck>..."
msgid "...the specified file or list of files <file(s)>"
msgstr "...il file o la lista di file <file(s)>"
msgid "Save extracted files in the directory <dir>"
msgstr "Salva i file estratti nella cartella <dir>"
msgid "Select the theme to be used for the colorized output"
msgstr "Seleziona il tema da usare per generare l'output colorato"
msgid "Use an alternate user configuration file"
msgstr "Definisce uno o più file di configurazione utente alternativi"
msgid "Default files:"
msgstr "File di default:"
msgid "Default user files:"
msgstr "File di default utente:"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Print version number, then exit"
msgstr "Stampa il numero di versione e termina il programma"
msgid "Run in quiet mode"
msgstr "Non stampa alcun dettaglio delle operazioni in esecuzione"
msgid "Run in debugging mode (very verbose output)"
msgstr "Attiva la modalità di debugging (output prolisso)"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "Report bugs to <davide.madrisan@gmail.com>."
msgstr "Segnalare eventuali bug a <davide.madrisan@gmail.com>."
msgid "cannot read"
msgstr "impossibile leggere"
msgid "unrecognized option"
msgstr "opzione non conosciuta"
msgid "utility not found"
msgstr "programma non trovato"
msgid "can't create temporary files"
msgstr "impossibile creare file temporanei"
msgid "cannot find:"
msgstr "impossibile trovare:"
msgid "not a srpm package"
msgstr "non è un pacchetto srpm"
#, sh-format
msgid "cannot create \\`$destdir'"
msgstr "impossibile creare \\`$destdir'"
#, sh-format
msgid "can't save extracted files to \\`$destdir'"
msgstr "impossibile salvare i file estratti in \\`$destdir'"
msgid "can't decompress the file"
msgstr "impossibile decomprimere il file"
#, sh-format
msgid "can't save files to \\`$destdir'"
msgstr "impossibile salvare i file in \\`$destdir'"

View File

@ -1,441 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# plugins/pck-update
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
#, sh-format
msgid "you're running $me as root"
msgstr "stai eseguendo $me come root"
msgid "library not found"
msgstr "libreria non trovata"
msgid ""
"This program is free software; you can redistribute it and/or modify it under\n"
"the terms of the GNU General Public License version 2 as published by the\n"
"Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY\n"
"or FITNESS FOR A PARTICULAR PURPOSE."
msgstr ""
"Questo è software libero; è possibile redistribuirlo e/o modificarlo nei termini\n"
"della GNU General Public License versione 2 così come pubblicata dalla\n"
"Free Software Foundation. Non è fornita ALCUNA garanzia; neppure di NEGOZIABILITA'\n"
"o di APPLICABILITA' PER UN PARTICOLARE SCOPO."
msgid "Update the package <pck> to version <ver> and release <rel>"
msgstr "Aggiorna il pacchetto <pck> a versione <ver> e release <rel>"
msgid "Usage"
msgstr "Utilizzo"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "Do the actions specified in the comma separated list <lst>"
msgstr "Esegue la lista di azioni separate da virgole <lst>"
#, sh-format
msgid "check for available versions in the $DISTRO repositories"
msgstr "cerca se il pacchetto è disponibile nei repository $DISTRO"
msgid "download and install the srpm package"
msgstr "download ed installazione del pacchetto srpm"
msgid "check if a new version is available"
msgstr "controlla se è disponibile un aggiornamento"
msgid "download new source files"
msgstr "download dei nuovi file sorgente"
msgid "update and check the specfile"
msgstr "aggiornamento e controllo dello specfile"
msgid "build the rpm(s) and srpm packages"
msgstr "creazione dei pacchetti rpm e srpm"
msgid "build the list of the build requirements"
msgstr "creazione della lista dei build requirement"
msgid "simulate the installation of the rpm package(s)"
msgstr "simulazione dell'installazione dei pacchetti rpm"
msgid "perform some quality and security checks"
msgstr "esecuzione dei test di qualità e sicurezza"
msgid "calculate the md5/sha1 hashing values"
msgstr "calcolo dei valori di hashing md5 e sha1"
msgid "upload the new packages to the ftp repository"
msgstr "upload dei nuovi pacchetti sul sito ftp"
msgid "*remove* old packages from the ftp repository"
msgstr "*rimozione* dei vecchi pacchetti dal sito ftp"
#, sh-format
msgid "(move packages to \\`\\$ftp_rw_old_dir', if set)"
msgstr "(backup in \\`\\$ftp_rw_old_dir', se definita)"
msgid "install the new rpm packages"
msgstr "installazione dei nuovi pacchetti rpm"
msgid "Force the update of the rpm(s) and srpm packages"
msgstr "Forza l'aggiornamento dei pacchetti rpm e srpm"
msgid "Force the rebuild of the rpm(s) and srpm packages"
msgstr "Ricrea comunque i pacchetti rpm e srpm"
msgid "Install the new packages even if rpm complains for errors"
msgstr "Installa i nuovi pacchetti anche in caso di errori rpm"
msgid "Download the source files even if found in SOURCE"
msgstr "Scarica i file sorgente anche se presenti in SOURCE"
msgid "Try to execute the given action(s) bypassing errors"
msgstr "Cerca di eseguire comunque le azioni specificate"
msgid "Skip the given test number(s)"
msgstr "Non esegue i test indicati"
msgid "Define variables <v1>,<v2>,... with values <r1>,<r2>,..."
msgstr "Assegna alle variabili v1,v2,... i valori r1,r2,..."
msgid "Select a server from where to download srpm packages"
msgstr "Server da utilizzare nel download dei pacchetti"
msgid "Select a server where to upload packages"
msgstr "Server dove effettuare l'upload dei pacchetti"
msgid "Select a server to be used for both download and upload"
msgstr "Server per l'upload e il download dei pacchetti"
msgid "FTP user (usr) and password (pswd) for packages upload"
msgstr "User (usr) e password (pswd) per l'upload sul sito FTP"
msgid "Name of the specfile (default: <name>.spec)"
msgstr "Nome dello specfile (default: <name>.spec)"
msgid "Force the architecture to a given value"
msgstr "Forza un valore per l'architettura"
msgid "Set change information for the package"
msgstr "Scrive il messaggio indicato nel changelog del pacchetto"
msgid "action"
msgstr "azione"
msgid "Only build the rpm packages"
msgstr "Crea soltanto i pacchetti rpm"
msgid "Do not upload the srpm package"
msgstr "Non effettua l'upload del pacchetto srpm"
msgid "Only build the srpm package"
msgstr "Crea soltanto il pacchetto srpm"
msgid "Do not upload the rpm packages"
msgstr "Non effettua l'upload dei pacchetti rpm"
msgid "Do a \\`list check'"
msgstr "Cerca i file non pacchettizzati"
msgid "Replace the block AUTOBUILDREQ"
msgstr "Aggiorna il blocco AUTOBUILDREQ"
msgid "Remove all the temporary files except (s)rpm packages"
msgstr "Rimuove tutti i file temporanei"
msgid "Enable specfile autoformatting"
msgstr "Abilita la riformattazione dello specfile"
#, sh-format
msgid "Unable logging to file (logging dir: \\`\\$logging_dir')"
msgstr "Abilita il log su file (nella directory: \\`\\$logging_dir'"
msgid "Enable rebuilding mode and settings (action 4 only)"
msgstr "Attiva modalità ed impostazioni di rebuild (azione 4)"
msgid "Specify an alternative root directory to rpm"
msgstr "Definisce una root directory alternativa per rpm"
msgid "Select the theme to be used for the colorized output"
msgstr "Seleziona il tema da usare per generare l'output colorato"
msgid "Use an alternate user configuration file"
msgstr "Definisce uno o più file di configurazione utente alternativi"
msgid "Default files:"
msgstr "File di default:"
msgid "Default user files:"
msgstr "File di default utente:"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Print version number, then exit"
msgstr "Stampa il numero di versione e termina il programma"
msgid "Run in quiet mode"
msgstr "Non stampa alcun dettaglio delle operazioni in esecuzione"
msgid "Run in debugging mode (very verbose output)"
msgstr "Attiva la modalità di debugging (output prolisso)"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "changelog entry"
msgstr "stringa di changelog"
msgid "Report bugs to <davide.madrisan@gmail.com>."
msgstr "Segnalare eventuali bug a <davide.madrisan@gmail.com>."
msgid "cannot read"
msgstr "impossibile leggere"
msgid "unrecognized option"
msgstr "opzione non conosciuta"
msgid "no such file or directory"
msgstr "file o cartella non trovata"
msgid "utility not found"
msgstr "programma non trovato"
msgid "must be set in the configuration file"
msgstr "non inizializzato nei file di configurazione"
msgid "must have the same size"
msgstr "devono avere la stessa dimensione"
msgid "illegal value"
msgstr "valore non valido"
msgid "can't create temporary files"
msgstr "impossibile creare file temporanei"
msgid "assuming as specfile"
msgstr "assumo che lo specfile sia"
msgid "unsupported path for specfile"
msgstr "persorso dello specfile non supportato"
msgid "specfile not found"
msgstr "specfile non trovato"
msgid "specfile with CRLF line terminators"
msgstr "specfile con fine linea CRLF"
msgid "specfile with CR line terminators"
msgstr "specfile con fine linea CR"
msgid "specfile with an unsupported format"
msgstr "specfile in formato non supportato"
#, fuzzy
msgid "specfile has errors:"
msgstr "specfile con fine linea CR"
msgid "(bug)"
msgstr "(bug)"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "release number: unsupported format"
msgstr "numero di release: formato non supportato"
#, sh-format
msgid "new release \\`$pck_newrel' must be greater than current one \\`$SPEC_RELEASE'"
msgstr "la nuova release \\`$pck_newrel' deve essere maggiore di quella corrente \\`$SPEC_RELEASE'"
#, sh-format
msgid "making a ${NOTE}backup copy${NORM} of the current specfile"
msgstr "creazione di una ${NOTE}copia di backup${NORM} dello specfile corrente"
msgid "unsupported architecture"
msgstr "architettura non supportata"
msgid "missing package name"
msgstr "nome del pacchetto mancante"
msgid "cannot create logging directory"
msgstr "impossibile creare la directory di logging"
msgid "logging file"
msgstr "file di log"
msgid "cannot evaluate:"
msgstr "impossibile valutare:"
msgid "no action specified: set with \\`--action'"
msgstr "nessuna azione specificata: utilizzare \\`--action'"
msgid "sintax error in --action \\`$4'"
msgstr "errore di instassi in --action \\`$4'"
msgid "sintax error in the command"
msgstr "errore di sintassi nel comando"
msgid "illegal value for arg"
msgstr "valore non valido per l'argomento"
#, fuzzy
msgid "updating package ${NOTE}${pck_name##*/}${NORM} to version ${NOTE}${pck_newver}${NORM}"
msgstr "aggiornamento del pacchetto ${NOTE}${pck_name##*/}${NORM} alla versione ${NOTE}${pck_newver:-[?]}${NORM}"
msgid "updating package"
msgstr "aggiornamento del pacchetto"
#, sh-format
msgid "multiple package update (regexp: ${NOTE}$pck_name${NORM}) to version ${NOTE}${pck_newver}${NORM}"
msgstr "aggiornamento multiplo di pacchetti (${NOTE}$pck_name${NORM}) alla versione ${NOTE}${pck_newver}${NORM}"
#, sh-format
msgid "multiple package update (regexp: ${NOTE}$pck_name${NORM})"
msgstr "aggiornamento multiplo di pacchetti (${NOTE}$pck_name${NORM})"
msgid "several occurrences found"
msgstr "trovati diversi pacchetti candidati"
msgid "Repository"
msgstr "Archivio"
msgid "Package"
msgstr "Pacchetto"
msgid "cannot find a matching SRPM package in the given repositories"
msgstr "impossibile trovare il pacchetto SRPM nei repository indicati"
msgid "too many packages found"
msgstr "trovati troppi pacchetti candidati"
msgid "installing"
msgstr "installazione di"
#, sh-format
msgid "an error occurred while installing \\`$got_SPEC_FILENAME'"
msgstr "si è verificato un errore installando \\`$got_SPEC_FILENAME'"
msgid "skipped"
msgstr "ignorato"
msgid "unknown retcode for apse.scrapeversion()"
msgstr "codice di ritorno sconosciuto per apse.scrapeversion()"
msgid "version for new package required"
msgstr "versione del nuovo pacchetto non indicata"
#, sh-format
msgid "${NOTE}updating${NORM} the new specfile \\`${NOTE}$spec_dir/$SRPM_SPECFILE${NORM}'"
msgstr "${NOTE}aggiornamento${NORM} del nuovo specfile \\`${NOTE}$spec_dir/$SRPM_SPECFILE${NORM}'"
msgid "specfile autoformattig enabled"
msgstr "formattazione automatica dello specfile abilitata"
msgid "illegal \\`format_extra_rules' (see configuration file(s))"
msgstr "\\`format_extra_rules' non corretta (vedi file di configurazione)"
msgid "missing entry forced"
msgstr "aggiunta voce mancante"
msgid "missing entry in the specfile:"
msgstr "voce mancante nello specfile:"
msgid "FIXME: sorry, not implemented yet..."
msgstr "FIXME: spiacente, implementazione mancante..."
msgid "\\`%description' has empty body"
msgstr "trovata \\`%description' senza testo"
msgid "parsing the \\`%package' block"
msgstr "parsing del blocco \\`%package'"
#, fuzzy, sh-format
msgid "cannot create \\`$SRPM_SPECFILE_WITH_PATH'"
msgstr "impossibile creare \\`$spec_dir/$SRPM_SPECFILE'"
msgid "ignoring requirement"
msgstr "requirement ignorato"
msgid "replacing the AUTOBUILDREQ block by:"
msgstr "sostituzione del blocco AUTOBUILDREQ con:"
msgid "release for new package required"
msgstr "release del nuovo pacchetto non indicata"
msgid "package not found"
msgstr "pacchetto non trovato"
msgid "rpm exited with error code:"
msgstr "rpm è terminato con il codice di errore:"
msgid "checking the specfile for common mistakes"
msgstr "controllo dello specfile alla ricerca di comuni errori"
msgid "checking packages for common mistakes"
msgstr "controllo dei pacchetti alla ricerca di comuni errori"
msgid "server unreachable"
msgstr "server non raggiungibile"
#, sh-format
msgid "you have no read write access to url#$ftp_server_upload_num"
msgstr "accesso in scrittura alla url#$ftp_server_upload_num vietato"
msgid "unset in the configuration files"
msgstr "non configurato nei file di configurazione"
msgid "ftp upload has been disabled"
msgstr "l'upload dei pacchetti via ftp è stato disabilitato"
#, sh-format
msgid "trying with the ${NOTE}anonymous login${NORM}"
msgstr "provo ad utilizzare un ${NOTE}login anonimo${NORM}"
msgid "no old packages have been found."
msgstr "non sono stati trovati vecchi pacchetti."
msgid "moving old packages to the remote backup folder"
msgstr "sposto i vecchi pacchetti nella directory di backup del repository"
msgid "removing old packages from the repository"
msgstr "rimozione dei vecchi pacchetti dal sito"
msgid "force enabled"
msgstr "forzata"
msgid "cannot install the new rpm packages"
msgstr "impossibile installare i pacchetti rpm"
#, sh-format
msgid "unknown step \\`$step'"
msgstr "lo step \\`$step' non esiste"
msgid "cleaning up temporary files"
msgstr "eliminazione dei file temporanei"
msgid "removing source packages and patches, if any"
msgstr "rimozione dei pacchetti sorgente e delle patch, se presenti"
msgid "removing"
msgstr "rimozione di"

View File

@ -1,213 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
msgid "this script requires bash version 3 or better"
msgstr "questo script richiede bash versione 3 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid ""
"This program is free software; you can redistribute it and/or modify it under\n"
"the terms of the GNU General Public License version 2 as published by the\n"
"Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY\n"
"or FITNESS FOR A PARTICULAR PURPOSE."
msgstr ""
"Questo è software libero; è possibile redistribuirlo e/o modificarlo nei termini\n"
"della GNU General Public License versione 2 così come pubblicata dalla\n"
"Free Software Foundation. Non è fornita ALCUNA garanzia; neppure di NEGOZIABILITA'\n"
"o di APPLICABILITA' PER UN PARTICOLARE SCOPO."
msgid "Try to create a specfile for the specified source archive"
msgstr "Cerca di creare uno specfile per l'archivio sorgente indicato"
msgid "Usage"
msgstr "Utilizzo"
msgid "message"
msgstr "messaggio"
msgid "git-opts"
msgstr "opzioni-git"
msgid "where the above options mean"
msgstr "dove le precedenti opzioni significano"
msgid "Name of the package (default: taken from <source-archive> name)"
msgstr "Nome del pacchetto (default: ricavato dal nome dell'archivio sorgente)"
msgid "Version of the package (default: taken from <source-archive> name)"
msgstr "Versione del pacchetto (default: ricavato dal nome dell'archivio sorgente)"
msgid "Typology of the specfile to be created"
msgstr "Categoria dello specfile da generare"
msgid "standard specfile (default)"
msgstr "specfile standard (default)"
msgid "specfile for gnome packages"
msgstr "specfile per pacchetti gnome"
msgid "specfile for kde3 packages"
msgstr "specfile per pacchetti kde3"
msgid "specfile for kde4 packages"
msgstr "specfile per pacchetti kde4"
msgid "specfile for common library packages"
msgstr "specfile per librerie"
msgid "specfile for single-package perl modules"
msgstr "specfile per singoli moduli perl"
msgid "specfile for python modules"
msgstr "specfile per moduli python"
msgid "standard specfile for system/network services"
msgstr "specfile per servizi di sistema/rete"
msgid "Redirect the output to the file <outfile>"
msgstr "Redirige lo standard output sul file <outfile>"
msgid "Set change information for the package"
msgstr "Scrive il messaggio indicato nel changelog del pacchetto"
msgid "Specify a git branch"
msgstr "Specifica un branch git"
msgid "Do not remove git files"
msgstr "Non rimuove i file git"
msgid "Select the theme to be used for the colorized output"
msgstr "Seleziona il tema da usare per generare l'output colorato"
msgid "Use an alternate user configuration file"
msgstr "Definisce uno o più file di configurazione utente alternativi"
msgid "Default files:"
msgstr "File di default:"
msgid "Default user files:"
msgstr "File di default utente:"
msgid "Operation modes"
msgstr "Modalità operative"
msgid "Print this help, then exit"
msgstr "Stampa questa schermata di aiuto e termina il programma"
msgid "Print version number, then exit"
msgstr "Stampa il numero di versione e termina il programma"
msgid "Run in quiet mode"
msgstr "Non stampa alcun dettaglio delle operazioni in esecuzione"
msgid "Run in debugging mode (very verbose output)"
msgstr "Attiva la modalità di debugging (output prolisso)"
msgid "Samples"
msgstr "Alcuni esempi"
msgid "Report bugs to <davide.madrisan@gmail.com>."
msgstr "Segnalare eventuali bug a <davide.madrisan@gmail.com>."
msgid "cannot read"
msgstr "impossibile leggere"
msgid "unrecognized option"
msgstr "opzione non conosciuta"
#, sh-format
msgid "remember to modify the value for \\`${NOTE}$id${NORM}'"
msgstr "ricordarsi di modificare il valore di \\`${NOTE}$id${NORM}'"
msgid "unknown build techonology"
msgstr "tecnologia di build sconosciuta"
msgid "file not found"
msgstr "file non trovato"
msgid "line"
msgstr "linea"
msgid "too many nested @if blocks"
msgstr "troppi livelli di blocchi @if"
msgid "@else without @if statement"
msgstr "@else senza un corrispondente @if"
msgid "@fi without @if statement"
msgstr "@fi senza un corrispondente @if"
msgid "utility not found"
msgstr "programma non trovato"
msgid "unsupported protocol"
msgstr "protocollo non supportato"
msgid "missing tarball name"
msgstr "manca il nome del tarball"
#, sh-format
msgid "cannot find the package $pck_tarball"
msgstr "impossibile trovare il pacchetto $pck_tarball"
msgid "cannot get the package name, use the \\`-n' option"
msgstr "impossibile ricavare il nome del pacchetto, usa l'opzione \\`-n'"
msgid "invalid version number"
msgstr "numero di versione non valido"
msgid "cannot get the package version, use the \\`-v' option"
msgstr "impossibile ricavare la versione del pacchetto, usa l'opzione \\`-v'"
msgid "can't create output file"
msgstr "impossibile creare il file di output"
msgid "generating specfile"
msgstr "generazione dello specfile"
msgid "source"
msgstr "sorgente"
msgid "mode"
msgstr "modo"
msgid "libraries must have this name structure (use \\`-n'):"
msgstr "i nomi delle librerie devono avere questa struttura (usare \\`-n'):"
msgid "perl modules must have this name structure (use \\`-n'):"
msgstr "i nomi dei moduli perl devono avere questa struttura (usare \\`-n'):"
msgid "python modules must have this name structure (use \\`-n'):"
msgstr "i nomi dei moduli python devono avere questa struttura (usare \\`-n'):"
msgid "can't create temporary directory"
msgstr "impossibile creare la cartella temporanea"
msgid "unsupported package compression method"
msgstr "metodo di compressione del pacchetto non supportato"
msgid "looks like a perl package (use \\`-t perl' if this is true)"
msgstr "sembra un pacchetto perl (in questo caso usa \\`-t perl')"
msgid "looks like a python module (use \\`-t python' if this is true)"
msgstr "sembra un modulo python (in questo caso usa \\`-t python')"
msgid "created specfile"
msgstr "creato specfile"

View File

@ -1,87 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid "utility not found"
msgstr "programma non trovato"
msgid "(bug)"
msgstr "(bug)"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "does not point to a valid internet address"
msgstr "non fa riferimento ad un indirizzo internet"
msgid "patch"
msgstr "patch"
msgid "not a standard structure (see config file)"
msgstr "nome con struttura non standard (vedi configurazione)"
msgid "found \\`-D' and/or \\`-T' option(s) in the \\`%setup' directive"
msgstr "sospetta opzione \\`-D' e/o \\`-T' nella direttiva \\`%setup'"
msgid "missing at least one \\`%defattr' directive"
msgstr "manca almeno una direttiva \\`%defattr'"
msgid "use rpm macros if possible:"
msgstr "utilizzare le macro rpm quando possibile:"
msgid "localization files must be packaged via \\`%find_lang'"
msgstr "trovati file di localizzazione non gestiti da \\`%find_lang'"
msgid "Hint"
msgstr "Suggerimento"
msgid "info pages"
msgstr "pagine info"
msgid "info pages are not installed/uninstalled in the correct way"
msgstr "le pagine info non vengono installate/disinstallate correttamente"
msgid "package Groups"
msgstr "campi Group dei pacchetti"
msgid "skipped"
msgstr "ignorato"
msgid "invalid \\`Group'"
msgstr "\\`Group' non valido"
msgid "see configuration files"
msgstr "guarda nei file di configurazione"
msgid "or enter the command"
msgstr "oppure esegui il comando"
msgid "approved License"
msgstr "Licenza valida"
msgid "not approved \\`License'"
msgstr "\\`License' non approvata"
#, sh-format
msgid "${NOTE}Specfile checks: ${NORM}${WARN}$total_issues${NORM} ${NOTE}warnings.${NORM}"
msgstr "${NOTE}Controllo dello specfile: problemi riscontrati: ${NORM}${WARN}$total_issues${NORM}"

View File

@ -1,124 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# tests/pkg_security_test_001
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
msgid "utility not found"
msgstr "programma non trovato"
msgid "performing quality checks"
msgstr "esecuzione dei test di qualità"
msgid "(bug)"
msgstr "(bug)"
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "cannot read"
msgstr "impossibile leggere"
msgid "no such file or directory"
msgstr "file o cartella non trovata"
msgid "checking for wrong symbolic links"
msgstr "ricerca di link simbolici errati"
msgid "wrong symlink"
msgstr "link simbolico incorretto"
#, sh-format
msgid "checking for \\`$SPEC_BUILDROOT' (%buildroot) strings"
msgstr "ricerca della stringa \\`$SPEC_BUILDROOT' (%buildroot)"
msgid "skipped"
msgstr "ignorato"
msgid "checking for %buildroot strings"
msgstr "ricerca delle stringhe %buildroot"
msgid "N/A"
msgstr "N/A"
#, fuzzy
msgid "mime type: "
msgstr "tipo mime:"
#, sh-format
msgid "checking for \\`$BUILDDIR' (%_builddir) strings"
msgstr "ricerca della stringa \\`$BUILDDIR' (%_builddir)"
msgid "checking for suspicious plugins in devel packages"
msgstr "controllo di plugin sospetti nei pacchetti devel"
#, sh-format
msgid "found suspect plugin \\`${NOTE}$f${NORM}'"
msgstr "trovato sospetto plugin \\`${NOTE}$f${NORM}'"
msgid "checking for wrong file attributes in bin and lib directories"
msgstr "ricerca di file binari e librerie con permessi errati"
msgid "found suspect file"
msgstr "file sospetto"
msgid "Hint"
msgstr "Suggerimento"
msgid "checking for libraries with undefined symbols after relocation"
msgstr "ricerca di librerie con simboli indefiniti dopo rilocazione"
msgid "checking for binary files installed in /etc (see FHS)"
msgstr "ricerca di file binari installati in /etc (vedi FHS)"
msgid "checking if the info catalog is updated when necessary"
msgstr "controllo se il registro delle pagine info viene aggiornato"
msgid "package not found"
msgstr "pacchetto non trovato"
msgid "info pages should be installed/uninstalled"
msgstr "le pagine info dovrebbero essere installate/disinstallate"
msgid "checking packages for wrong user and/or group ownerships"
msgstr "ricerca di pacchetti contenenti file con errato utente e/o gruppo"
msgid "checking packages for desktop files installed in the applnk dir"
msgstr "ricerca di pacchetti con file desktop installati in applnk"
msgid "create desktop files for:"
msgstr "creare file desktop per:"
msgid "see:"
msgstr "vedere:"
msgid "checking for packages with bad BuildArch tag"
msgstr "ricerca di pacchetti con errato tag BuildArch"
msgid "this package should be tagged \\`noarch'"
msgstr "questo pacchetto dovrebbe essere di tipo \\`noarch'"
msgid "${NOTE}Quality checks: ${#rpmpkg_name[@]} package(s) checked: ${NORM}${WARN}$total_issues${NORM}${NOTE} warning(s).${NORM}"
msgstr "${NOTE}Controlli di qualità: pacchetti rpm: ${#rpmpkg_name[@]}; problemi riscontrati: ${NORM}${WARN}$total_issues${NORM}"

View File

@ -1,70 +0,0 @@
# Italian translation.
# Copyright (C) 2004-2012 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2012.
#
msgid ""
msgstr ""
"Project-Id-Version: autospec 1.16.0\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
"POT-Creation-Date: 2012-11-23 22:50+0100\n"
"PO-Revision-Date: 2012-11-19 23:37+0100\n"
"Last-Translator: Davide Madrisan <davide.madrisan@gmail.com>\n"
"Language-Team: \n"
"Language: Italian \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
# tests/pkg_security_test_001
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
msgid "library not found"
msgstr "libreria non trovata"
#, fuzzy
msgid "utility not found"
msgstr "libreria non trovata"
msgid "performing security checks"
msgstr "esecuzione dei test di sicurezza"
msgid "(bug)"
msgstr "(bug)"
msgid "\\`getopt' error"
msgstr "errore in \\`getopt'"
msgid "missing mandatory arg"
msgstr "parametro mancante"
msgid "cannot read"
msgstr "impossibile leggere"
msgid "no such file or directory"
msgstr "file o cartella non trovata"
msgid "checking for RPATH vulnerabilities"
msgstr "ricerca di vulnerabilità di tipo RPATH"
msgid "checking for setuid binaries"
msgstr "ricerca di binari setuid"
msgid "checking for setgid directories"
msgstr "ricerca di directory setgid"
msgid "checking for unsecure use of \\`\\$\\$' in shell and perl scripts"
msgstr "ricerca di script shell e perl che utilizzano \\`\\$\\$' in modo insicuro"
msgid "seems to be affected"
msgstr "sembra affetto"
msgid "Hint for bash scripts (\\`mktemp' required)"
msgstr "Suggerimento per script bash (richiede \\`mktemp')"
msgid "Hint for perl scripts"
msgstr "Suggerimento per script perl"
msgid "${NOTE}Security checks: ${#rpmpkg_name[@]} package(s) checked: ${NORM}${WARN}$total_issues${NORM}${NOTE} warning(s).${NORM}"
msgstr "${NOTE}Controlli di sicurezza: pacchetti rpm: ${#rpmpkg_name[@]}; problemi riscontrati: ${NORM}${WARN}$total_issues${NORM}"

View File

@ -33,13 +33,8 @@ check: $(pck_tests)
pot-files: $(pck_tests) pot-files: $(pck_tests)
@for f in $(pck_tests); do\ @for f in $(pck_tests); do\
echo -n "Generating po template '$$f.pot'...";\ echo -n "Generating po template '$$f.pot'...";\
/usr/bin/xgettext -i -L shell \ /bin/bash --dump-po-strings $$f \
--copyright-holder="$(PO_COPYRIGH_HOLDER)" \ > $(srcdir)/po/$$f.pot \
--msgid-bugs-address="$(PO_BUGS_ADDRESS)" \
--no-location \
--package-name=$(PACKAGE) \
--package-version=${VERSION} \
$$f -o $(srcdir)/po/$$f.pot 2>/dev/null \
&& echo "[DONE]" || { echo "[ERROR]"; exit 1; };\ && echo "[DONE]" || { echo "[ERROR]"; exit 1; };\
done done

View File

@ -15,7 +15,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# check if all the needed tools are available # check if all the needed tools are available
for tool in cat file getopt grep sed; do for tool in cat file getopt grep sed; do

View File

@ -15,7 +15,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# check if all the needed tools are available # check if all the needed tools are available
for tool in file find getopt grep ls ldd; do for tool in file find getopt grep ls ldd; do

View File

@ -15,7 +15,7 @@ if [[ -z "$LANG" && -r /etc/sysconfig/i18n ]]; then
. /etc/sysconfig/i18n . /etc/sysconfig/i18n
[ "$LANG" ] && export LANG [ "$LANG" ] && export LANG
fi fi
TEXTDOMAIN="@package@-all"; export TEXTDOMAIN TEXTDOMAIN="@package@"; export TEXTDOMAIN
# check if all the needed tools are available # check if all the needed tools are available
for tool in file find getopt grep objdump sed; do for tool in file find getopt grep objdump sed; do